Package org.apache.struts2.util

# Class DomHelper

java.lang.Object
org.apache.struts2.util.DomHelper

public class DomHelper extends Object
Helper class to create and retrieve information from location-enabled DOM-trees.

Since:
  1.2

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DomHelper.DOMBuilder`
  The `DOMBuilder` is a utility class that will generate a W3C DOM Document from SAX events.
  `static class`
  `DomHelper.StartHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Location`
  `getLocationObject(Element element)`
  `static Document`
  `parse(InputSource inputSource)`
  Creates a W3C Document that remembers the location of each element in the source file.
  `static Document`
  `parse(InputSource inputSource, Map<String,String> dtdMappings)`
  Creates a W3C Document that remembers the location of each element in the source file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DomHelper

    public DomHelper()

- ## Method Details

  - ### getLocationObject

    public static Location getLocationObject(Element element)

  - ### parse

    public static Document parse(InputSource inputSource)
    Creates a W3C Document that remembers the location of each element in the source file. The location of element nodes can then be retrieved using the `getLocationObject(Element)` method.
    Parameters:
      `inputSource` - the inputSource to read the document from
    Returns:
      the W3C Document

  - ### parse

    public static Document parse(InputSource inputSource, Map<String,String> dtdMappings)
    Creates a W3C Document that remembers the location of each element in the source file. The location of element nodes can then be retrieved using the `getLocationObject(Element)` method.
    Parameters:
      `inputSource` - the inputSource to read the document from
      `dtdMappings` - a map of DTD names and public ids
    Returns:
      the W3C Document